Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.htmlparser.jericho
Interface HTMLElementName

    public interface HTMLElementName

Contains static fields representing the names of all elements defined in the HTML 4.01 specification and the draft HTML 5 specification.

All of the name strings are in lower case.

The `HTMLElements` class is closely related to this interface, containing static methods which group these names by the characteristics of their associated elements.

This interface does not specify any methods, but can be inherited by other classes, or statically imported (Java 5.0), to provide less verbose access to the contained element name static fields.

The field values in this interface can be used as `name` arguments in named tag searches.

See Also:
  `HTMLElements`, `Element`

Field Summary
`static java.lang.String` | `A` HTML element A - anchor.
`static java.lang.String` | `ABBR` HTML element ABBR - abbreviated form (e.g., WWW, HTTP, etc.).
`static java.lang.String` | `ACRONYM` HTML element ACRONYM - acronym.
`static java.lang.String` | `ADDRESS` HTML element ADDRESS - information on author.
`static java.lang.String` | `APPLET` HTML element APPLET - Java applet.
`static java.lang.String` | `AREA` HTML element AREA - client-side image map area.
`static java.lang.String` | `ARTICLE` HTML element article - self-contained syndicatable or reusable composition.
`static java.lang.String` | `ASIDE` HTML element aside - sidebar for tangentially related content.
`static java.lang.String` | `AUDIO` HTML element audio - audio player.
`static java.lang.String` | `B` HTML element B - bold text style.
`static java.lang.String` | `BASE` HTML element BASE - document base URI.
`static java.lang.String` | `BASEFONT` HTML element BASEFONT - base font size.
`static java.lang.String` | `BDI` HTML element bdi - text directionality isolation.
`static java.lang.String` | `BDO` HTML element BDO - I18N BiDi over-ride.
`static java.lang.String` | `BIG` HTML element BIG - large text style.
`static java.lang.String` | `BLOCKQUOTE` HTML element BLOCKQUOTE - long quotation.
`static java.lang.String` | `BODY` HTML element BODY - document body.
`static java.lang.String` | `BR` HTML element BR - forced line break.
`static java.lang.String` | `BUTTON` HTML element BUTTON - push button.
`static java.lang.String` | `CANVAS` HTML element canvas - scriptable bitmap canvas.
`static java.lang.String` | `CAPTION` HTML element CAPTION - table caption.
`static java.lang.String` | `CENTER` HTML element CENTER - shorthand for DIV align=center.
`static java.lang.String` | `CITE` HTML element CITE - citation.
`static java.lang.String` | `CODE` HTML element CODE - computer code fragment.
`static java.lang.String` | `COL` HTML element COL - table column.
`static java.lang.String` | `COLGROUP` HTML element COLGROUP - table column group.
`static java.lang.String` | `COMMAND` HTML element command - menu command.
`static java.lang.String` | `DATALIST` HTML element datalist - container for options for combo box control.
`static java.lang.String` | `DD` HTML element DD - definition description.
`static java.lang.String` | `DEL` HTML element DEL - deleted text.
`static java.lang.String` | `DETAILS` HTML element details - disclosure control for hiding details.
`static java.lang.String` | `DFN` HTML element DFN - instance definition.
`static java.lang.String` | `DIR` HTML element DIR - directory list.
`static java.lang.String` | `DIV` HTML element DIV - generic language/style container.
`static java.lang.String` | `DL` HTML element DL - definition list.
`static java.lang.String` | `DT` HTML element DT - definition term.
`static java.lang.String` | `EM` HTML element EM - emphasis.
`static java.lang.String` | `EMBED` HTML element embed - plugin.
`static java.lang.String` | `FIELDSET` HTML element FIELDSET - form control group.
`static java.lang.String` | `FIGCAPTION` HTML element figcaption - caption for figure.
`static java.lang.String` | `FIGURE` HTML element figure - figure with optional caption.
`static java.lang.String` | `FONT` HTML element FONT - local change to font.
`static java.lang.String` | `FOOTER` HTML element footer - footer for a page or section.
`static java.lang.String` | `FORM` HTML element FORM - interactive form.
`static java.lang.String` | `FRAME` HTML element FRAME - subwindow.
`static java.lang.String` | `FRAMESET` HTML element FRAMESET - window subdivision.
`static java.lang.String` | `H1` HTML element H1 - heading.
`static java.lang.String` | `H2` HTML element H2 - heading.
`static java.lang.String` | `H3` HTML element H3 - heading.
`static java.lang.String` | `H4` HTML element H4 - heading.
`static java.lang.String` | `H5` HTML element H5 - heading.
`static java.lang.String` | `H6` HTML element H6 - heading.
`static java.lang.String` | `HEAD` HTML element HEAD - document head.
`static java.lang.String` | `HEADER` HTML element header - introductory or navigational aids for a page or section.
`static java.lang.String` | `HGROUP` HTML element hgroup - heading group.
`static java.lang.String` | `HR` HTML element HR - horizontal rule.
`static java.lang.String` | `HTML` HTML element HTML - document root element.
`static java.lang.String` | `I` HTML element I - italic text style.
`static java.lang.String` | `IFRAME` HTML element IFRAME - inline subwindow.
`static java.lang.String` | `IMG` HTML element IMG - Embedded image.
`static java.lang.String` | `INPUT` HTML element INPUT - form control.
`static java.lang.String` | `INS` HTML element INS - inserted text.
`static java.lang.String` | `ISINDEX` HTML element ISINDEX - single line prompt.
`static java.lang.String` | `KBD` HTML element KBD - text to be entered by the user.
`static java.lang.String` | `KEYGEN` HTML element keygen - cryptographic key-pair generator form control.
`static java.lang.String` | `LABEL` HTML element LABEL - form field label text.
`static java.lang.String` | `LEGEND` HTML element LEGEND - fieldset legend.
`static java.lang.String` | `LI` HTML element LI - list item.
`static java.lang.String` | `LINK` HTML element LINK - a media-independent link.
`static java.lang.String` | `MAP` HTML element MAP - client-side image map.
`static java.lang.String` | `MARK` HTML element mark - highlight.
`static java.lang.String` | `MENU` HTML element MENU - menu list.
`static java.lang.String` | `META` HTML element META - generic metainformation.
`static java.lang.String` | `METER` HTML element meter - gauge.
`static java.lang.String` | `NAV` HTML element nav - section with navigational links.
`static java.lang.String` | `NOFRAMES` HTML element NOFRAMES - alternate content container for non frame-based rendering.
`static java.lang.String` | `NOSCRIPT` HTML element NOSCRIPT - alternate content container for non script-based rendering.
`static java.lang.String` | `OBJECT` HTML element OBJECT - generic embedded object.
`static java.lang.String` | `OL` HTML element OL - ordered list.
`static java.lang.String` | `OPTGROUP` HTML element OPTGROUP - option group.
`static java.lang.String` | `OPTION` HTML element OPTION - selectable choice.
`static java.lang.String` | `OUTPUT` HTML element output - calculated output value.
`static java.lang.String` | `P` HTML element P - paragraph.
`static java.lang.String` | `PARAM` HTML element PARAM - named property value.
`static java.lang.String` | `PRE` HTML element PRE - preformatted text.
`static java.lang.String` | `PROGRESS` HTML element progress - progress bar.
`static java.lang.String` | `Q` HTML element Q - short inline quotation.
`static java.lang.String` | `RP` HTML element rp - parenthesis for ruby annotation text.
`static java.lang.String` | `RT` HTML element rt - ruby annotation text.
`static java.lang.String` | `RUBY` HTML element ruby - ruby annotation(s).
`static java.lang.String` | `S` HTML element S - strike-through text style.
`static java.lang.String` | `SAMP` HTML element SAMP - sample program output, scripts, etc..
`static java.lang.String` | `SCRIPT` HTML element SCRIPT - script statements.
`static java.lang.String` | `SECTION` HTML element section - generic document or application section.
`static java.lang.String` | `SELECT` HTML element SELECT - option selector.
`static java.lang.String` | `SMALL` HTML element SMALL - small text style.
`static java.lang.String` | `SOURCE` HTML element source - media source for video or audio.
`static java.lang.String` | `SPAN` HTML element SPAN - generic language/style container.
`static java.lang.String` | `STRIKE` HTML element STRIKE - strike-through text.
`static java.lang.String` | `STRONG` HTML element STRONG - strong emphasis.
`static java.lang.String` | `STYLE` HTML element STYLE - style info.
`static java.lang.String` | `SUB` HTML element SUB - subscript.
`static java.lang.String` | `SUMMARY` HTML element summary - caption for details.
`static java.lang.String` | `SUP` HTML element SUP - superscript.
`static java.lang.String` | `TABLE` HTML element TABLE - table.
`static java.lang.String` | `TBODY` HTML element TBODY - table body.
`static java.lang.String` | `TD` HTML element TD - table data cell.
`static java.lang.String` | `TEXTAREA` HTML element TEXTAREA - multi-line text field.
`static java.lang.String` | `TFOOT` HTML element TFOOT - table footer.
`static java.lang.String` | `TH` HTML element TH - table header cell.
`static java.lang.String` | `THEAD` HTML element THEAD - table header.
`static java.lang.String` | `TIME` HTML element time - date and/or time.
`static java.lang.String` | `TITLE` HTML element TITLE - document title.
`static java.lang.String` | `TR` HTML element TR - table row.
`static java.lang.String` | `TT` HTML element TT - teletype or monospaced text style.
`static java.lang.String` | `U` HTML element U - underlined text style.
`static java.lang.String` | `UL` HTML element UL - unordered list.
`static java.lang.String` | `VAR` HTML element VAR - instance of a variable or program argument.
`static java.lang.String` | `VIDEO` HTML element video - video player.
`static java.lang.String` | `WBR` HTML element wbr - line breaking opportunity.

Field Detail

### A

    static final java.lang.String A

  HTML element A - anchor.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ABBR

    static final java.lang.String ABBR

  HTML element ABBR - abbreviated form (e.g., WWW, HTTP, etc.).

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ACRONYM

    static final java.lang.String ACRONYM

  HTML element ACRONYM - acronym.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ADDRESS

    static final java.lang.String ADDRESS

  HTML element ADDRESS - information on author.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### APPLET

    static final java.lang.String APPLET

  HTML element APPLET - Java applet.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### AREA

    static final java.lang.String AREA

  HTML element AREA - client-side image map area.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### ARTICLE

    static final java.lang.String ARTICLE

  HTML element article - self-contained syndicatable or reusable composition.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ASIDE

    static final java.lang.String ASIDE

  HTML element aside - sidebar for tangentially related content.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### AUDIO

    static final java.lang.String AUDIO

  HTML element audio - audio player.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### B

    static final java.lang.String B

  HTML element B - bold text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BASE

    static final java.lang.String BASE

  HTML element BASE - document base URI.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### BASEFONT

    static final java.lang.String BASEFONT

  HTML element BASEFONT - base font size.

  This is an inline-level element.

  The end tag of this element is forbidden.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### BDI

    static final java.lang.String BDI

  HTML element bdi - text directionality isolation.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BDO

    static final java.lang.String BDO

  HTML element BDO - I18N BiDi over-ride.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BIG

    static final java.lang.String BIG

  HTML element BIG - large text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BLOCKQUOTE

    static final java.lang.String BLOCKQUOTE

  HTML element BLOCKQUOTE - long quotation.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### BODY

    static final java.lang.String BODY

  HTML element BODY - document body.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | (none)
  Terminating end tags: | `BODY`, `HTML`
  Nonterminating elements: | `HTML`

  Note that the `HTML` element is included as a nonterminating element in case the source contains (illegaly) nested HTML elements.

  See Also:
    Constant Field Values

### BR

    static final java.lang.String BR

  HTML element BR - forced line break.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### BUTTON

    static final java.lang.String BUTTON

  HTML element BUTTON - push button.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CANVAS

    static final java.lang.String CANVAS

  HTML element canvas - scriptable bitmap canvas.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CAPTION

    static final java.lang.String CAPTION

  HTML element CAPTION - table caption.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CENTER

    static final java.lang.String CENTER

  HTML element CENTER - shorthand for DIV align=center.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### CITE

    static final java.lang.String CITE

  HTML element CITE - citation.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### CODE

    static final java.lang.String CODE

  HTML element CODE - computer code fragment.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### COL

    static final java.lang.String COL

  HTML element COL - table column.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### COLGROUP

    static final java.lang.String COLGROUP

  HTML element COLGROUP - table column group.

  The end tag of this element is optional:

  Terminating start tags: | `COLGROUP`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Terminating end tags: | `COLGROUP`, `TABLE`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### COMMAND

    static final java.lang.String COMMAND

  HTML element command - menu command.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### DATALIST

    static final java.lang.String DATALIST

  HTML element datalist - container for options for combo box control.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DD

    static final java.lang.String DD

  HTML element DD - definition description.

  The end tag of this element is optional:

  Terminating start tags: | `DD`, `DT`
  Terminating end tags: | `DD`, `DL`
  Nonterminating elements: | `DL`

  See Also:
    Constant Field Values

### DEL

    static final java.lang.String DEL

  HTML element DEL - deleted text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DETAILS

    static final java.lang.String DETAILS

  HTML element details - disclosure control for hiding details.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DFN

    static final java.lang.String DFN

  HTML element DFN - instance definition.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### DIR

    static final java.lang.String DIR

  HTML element DIR - directory list.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### DIV

    static final java.lang.String DIV

  HTML element DIV - generic language/style container.

  The end tag of this element is required.

  This is a block-level element.

  See Also:
    Constant Field Values

### DL

    static final java.lang.String DL

  HTML element DL - definition list.

  The end tag of this element is required.

  This is a block-level element.

  See Also:
    Constant Field Values

### DT

    static final java.lang.String DT

  HTML element DT - definition term.

  The end tag of this element is optional:

  Terminating start tags: | `DD`, `DT`
  Terminating end tags: | `DL`, `DT`
  Nonterminating elements: | `DL`

  See Also:
    Constant Field Values

### EM

    static final java.lang.String EM

  HTML element EM - emphasis.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### EMBED

    static final java.lang.String EMBED

  HTML element embed - plugin.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### FIELDSET

    static final java.lang.String FIELDSET

  HTML element FIELDSET - form control group.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FIGCAPTION

    static final java.lang.String FIGCAPTION

  HTML element figcaption - caption for figure.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FIGURE

    static final java.lang.String FIGURE

  HTML element figure - figure with optional caption.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FONT

    static final java.lang.String FONT

  HTML element FONT - local change to font.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### FOOTER

    static final java.lang.String FOOTER

  HTML element footer - footer for a page or section.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FORM

    static final java.lang.String FORM

  HTML element FORM - interactive form.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### FRAME

    static final java.lang.String FRAME

  HTML element FRAME - subwindow.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### FRAMESET

    static final java.lang.String FRAMESET

  HTML element FRAMESET - window subdivision.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H1

    static final java.lang.String H1

  HTML element H1 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H2

    static final java.lang.String H2

  HTML element H2 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H3

    static final java.lang.String H3

  HTML element H3 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H4

    static final java.lang.String H4

  HTML element H4 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H5

    static final java.lang.String H5

  HTML element H5 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### H6

    static final java.lang.String H6

  HTML element H6 - heading.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### HEAD

    static final java.lang.String HEAD

  HTML element HEAD - document head.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | `BODY`, `FRAMESET`
  Terminating end tags: | `HEAD`, `HTML`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### HEADER

    static final java.lang.String HEADER

  HTML element header - introductory or navigational aids for a page or section.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### HGROUP

    static final java.lang.String HGROUP

  HTML element hgroup - heading group.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### HR

    static final java.lang.String HR

  HTML element HR - horizontal rule.

  This is a block-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### HTML

    static final java.lang.String HTML

  HTML element HTML - document root element.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | (none)
  Terminating end tags: | `HTML`
  Nonterminating elements: | `HTML`

  Note that the `HTML` element is included as a nonterminating element in case the source contains (illegaly) nested HTML elements.

  See Also:
    Constant Field Values

### I

    static final java.lang.String I

  HTML element I - italic text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### IFRAME

    static final java.lang.String IFRAME

  HTML element IFRAME - inline subwindow.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### IMG

    static final java.lang.String IMG

  HTML element IMG - Embedded image.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### INPUT

    static final java.lang.String INPUT

  HTML element INPUT - form control.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### INS

    static final java.lang.String INS

  HTML element INS - inserted text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### ISINDEX

    static final java.lang.String ISINDEX

  HTML element ISINDEX - single line prompt.

  This is a block-level element.

  The end tag of this element is forbidden.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### KBD

    static final java.lang.String KBD

  HTML element KBD - text to be entered by the user.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### KEYGEN

    static final java.lang.String KEYGEN

  HTML element keygen - cryptographic key-pair generator form control.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### LABEL

    static final java.lang.String LABEL

  HTML element LABEL - form field label text.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### LEGEND

    static final java.lang.String LEGEND

  HTML element LEGEND - fieldset legend.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### LI

    static final java.lang.String LI

  HTML element LI - list item.

  The end tag of this element is optional:

  Terminating start tags: | `LI`
  Terminating end tags: | `LI`, `OL`, `UL`
  Nonterminating elements: | `OL`, `UL`

  See Also:
    Constant Field Values

### LINK

    static final java.lang.String LINK

  HTML element LINK - a media-independent link.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### MAP

    static final java.lang.String MAP

  HTML element MAP - client-side image map.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### MARK

    static final java.lang.String MARK

  HTML element mark - highlight.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### MENU

    static final java.lang.String MENU

  HTML element MENU - menu list.

  This is a block-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### META

    static final java.lang.String META

  HTML element META - generic metainformation.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### METER

    static final java.lang.String METER

  HTML element meter - gauge.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### NAV

    static final java.lang.String NAV

  HTML element nav - section with navigational links.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### NOFRAMES

    static final java.lang.String NOFRAMES

  HTML element NOFRAMES - alternate content container for non frame-based rendering.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### NOSCRIPT

    static final java.lang.String NOSCRIPT

  HTML element NOSCRIPT - alternate content container for non script-based rendering.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OBJECT

    static final java.lang.String OBJECT

  HTML element OBJECT - generic embedded object.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OL

    static final java.lang.String OL

  HTML element OL - ordered list.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OPTGROUP

    static final java.lang.String OPTGROUP

  HTML element OPTGROUP - option group.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### OPTION

    static final java.lang.String OPTION

  HTML element OPTION - selectable choice.

  The end tag of this element is optional:

  Terminating start tags: | `OPTGROUP`, `OPTION`
  Terminating end tags: | `OPTION`, `SELECT`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### OUTPUT

    static final java.lang.String OUTPUT

  HTML element output - calculated output value.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### P

    static final java.lang.String P

  HTML element P - paragraph.

  This is a block-level element.

  The end tag of this element is optional:

  Terminating start tags: | All block-level element names, `DD`, `DT`, `LI`, `TD`, `TH`
  Terminating end tags: | All block-level element names, `BODY`, `CAPTION`, `DD`, `DT`, `HTML`, `LEGEND`, `TD`, `TH`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | (none)

  The definition of this element in the HTML 4.01 specification explicitly states that the `P` element cannot contain block-level elements. Despite this, all of the popular browsers (in at least some modes of operation) allow `P` elements to enclose `TABLE` elements, which are also block-level elements.

  It is possible to make this parser compatible with this incorrect behaviour by executing the following code:

       HTMLElements.getTerminatingStartTagNames(HTMLElementName.P).remove(HTMLElementName.TABLE);
       HTMLElements.getNonterminatingElementNames(HTMLElementName.P).add(HTMLElementName.TABLE);

  See Also:
    Constant Field Values

### PARAM

    static final java.lang.String PARAM

  HTML element PARAM - named property value.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### PRE

    static final java.lang.String PRE

  HTML element PRE - preformatted text.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### PROGRESS

    static final java.lang.String PROGRESS

  HTML element progress - progress bar.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### Q

    static final java.lang.String Q

  HTML element Q - short inline quotation.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### RP

    static final java.lang.String RP

  HTML element rp - parenthesis for ruby annotation text.

  This is an inline-level element.

  The end tag of this element is optional:

  Terminating start tags: | `RP`, `RT`
  Terminating end tags: | `RUBY`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### RT

    static final java.lang.String RT

  HTML element rt - ruby annotation text.

  This is an inline-level element.

  The end tag of this element is optional:

  Terminating start tags: | `RP`, `RT`
  Terminating end tags: | `RUBY`
  Nonterminating elements: | (none)

  See Also:
    Constant Field Values

### RUBY

    static final java.lang.String RUBY

  HTML element ruby - ruby annotation(s).

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### S

    static final java.lang.String S

  HTML element S - strike-through text style.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### SAMP

    static final java.lang.String SAMP

  HTML element SAMP - sample program output, scripts, etc..

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SCRIPT

    static final java.lang.String SCRIPT

  HTML element SCRIPT - script statements.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SECTION

    static final java.lang.String SECTION

  HTML element section - generic document or application section.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SELECT

    static final java.lang.String SELECT

  HTML element SELECT - option selector.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SMALL

    static final java.lang.String SMALL

  HTML element SMALL - small text style.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SOURCE

    static final java.lang.String SOURCE

  HTML element source - media source for video or audio.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

### SPAN

    static final java.lang.String SPAN

  HTML element SPAN - generic language/style container.

  This is an inline-level element.

  See Also:
    Constant Field Values

### STRIKE

    static final java.lang.String STRIKE

  HTML element STRIKE - strike-through text.

  This is an inline-level element.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### STRONG

    static final java.lang.String STRONG

  HTML element STRONG - strong emphasis.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### STYLE

    static final java.lang.String STYLE

  HTML element STYLE - style info.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SUB

    static final java.lang.String SUB

  HTML element SUB - subscript.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SUMMARY

    static final java.lang.String SUMMARY

  HTML element summary - caption for details.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### SUP

    static final java.lang.String SUP

  HTML element SUP - superscript.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TABLE

    static final java.lang.String TABLE

  HTML element TABLE - table.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TBODY

    static final java.lang.String TBODY

  HTML element TBODY - table body.

  The start tag of this element is optional.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `TBODY`
  Nonterminating elements: | `TABLE`

  Note that the `TFOOT` and `THEAD` elements are included as terminating start tags, even though the HTML 4.01 specification section 11.2.3 states that they must precede the `TBODY` element inside a `TABLE`. Most browsers tolerate an incorrect ordering of the `THEAD`, `TFOOT` and `TBODY` elements, so this parser also recognises the elements in any order.

  See Also:
    Constant Field Values

### TD

    static final java.lang.String TD

  HTML element TD - table data cell.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TD`, `TFOOT`, `TH`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TD`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TEXTAREA

    static final java.lang.String TEXTAREA

  HTML element TEXTAREA - multi-line text field.

  The end tag of this element is required.

  This is an inline-level element.

  See Also:
    Constant Field Values

### TFOOT

    static final java.lang.String TFOOT

  HTML element TFOOT - table footer.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `TFOOT`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TH

    static final java.lang.String TH

  HTML element TH - table header cell.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TD`, `TFOOT`, `TH`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TFOOT`, `TH`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### THEAD

    static final java.lang.String THEAD

  HTML element THEAD - table header.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`
  Terminating end tags: | `TABLE`, `THEAD`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TIME

    static final java.lang.String TIME

  HTML element time - date and/or time.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TITLE

    static final java.lang.String TITLE

  HTML element TITLE - document title.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### TR

    static final java.lang.String TR

  HTML element TR - table row.

  The end tag of this element is optional:

  Terminating start tags: | `TBODY`, `TFOOT`, `THEAD`, `TR`
  Terminating end tags: | `TABLE`, `TBODY`, `TFOOT`, `THEAD`, `TR`
  Nonterminating elements: | `TABLE`

  See Also:
    Constant Field Values

### TT

    static final java.lang.String TT

  HTML element TT - teletype or monospaced text style.

  The end tag of this element is required.

  This is an inline-level element.

  See Also:
    Constant Field Values

### U

    static final java.lang.String U

  HTML element U - underlined text style.

  This is an inline-level element.

  The end tag of this element is required.

  This element is deprecated in HTML 4.01. (see `HTMLElements.getDeprecatedElementNames()`)

  See Also:
    Constant Field Values

### UL

    static final java.lang.String UL

  HTML element UL - unordered list.

  This is a block-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### VAR

    static final java.lang.String VAR

  HTML element VAR - instance of a variable or program argument.

  This is an inline-level element.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### VIDEO

    static final java.lang.String VIDEO

  HTML element video - video player.

  The end tag of this element is required.

  See Also:
    Constant Field Values

### WBR

    static final java.lang.String WBR

  HTML element wbr - line breaking opportunity.

  This is an inline-level element.

  The end tag of this element is forbidden.

  See Also:
    Constant Field Values

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD